Bug 426166 - Bug buddy failed in some perl module.
Bug buddy failed in some perl module.
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-18 17:52 EST by Austin
Modified: 2008-06-16 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Error message on the final dialog. (699 bytes, text/plain)
2007-12-18 17:52 EST, Austin
no flags Details
Another bug buddy crash (695 bytes, text/plain)
2008-03-04 20:56 EST, Austin
no flags Details

  None (edit)
Description Austin 2007-12-18 17:52:52 EST
Description of problem: bug Buddy encountered an error while trying to deliver a
crash report for evolution.

Version-Release number of selected component (if applicable): GNOME bug-buddy 2.18.0

How reproducible: Uncertain. First occurrence.

Steps to Reproduce:
1. Have Evolution crash
2. Wait for bug buddy to come up. Preview data to be sent, and click close / send.
3. Wait for bug buddy to crash with the attached
Actual results: I don't believe the evolution crash report was submitted (is
that saved somewhere before delivering?), and bug-buddy crashed.

Expected results: The crash report to be delivered, and bug-buddy not to crash.

Additional info: I'm behind a firewall with port 8080 for all http traffic. I
have the gnome proxy settings defined and some console environment ones too
(proxy, http_proxy, https_proxy, etc) Unsure if that's related, but it doesn't
hurt to include that information.
Comment 1 Austin 2007-12-18 17:52:52 EST
Created attachment 289956 [details]
Error message on the final dialog.
Comment 2 Ray Strode [halfline] 2007-12-19 09:42:55 EST
the error message suggests there is a syntax error in perl-XML-Parser.

Comment 3 Jan Pazdziora 2008-02-27 07:45:58 EST
(In reply to comment #2)
> the error message suggests there is a syntax error in perl-XML-Parser.

This is not how I read that error message.

The message says that XML::Parser hit "not well-formed (invalid token) at line
23, column 0, byte 1627" problem. Which means that the XML that the XML::Parser
was to parse was not well-formed, and XML::Parser was correct in aborting the

So it's a problem on the side that generates the XML, not on the parsing side.
Comment 4 Ray Strode [halfline] 2008-02-27 23:19:11 EST
Yup, I didn't read the message carefully enough.  Thanks Jan.
Comment 5 Austin 2008-03-04 20:56:25 EST
Created attachment 296830 [details]
Another bug buddy crash

A text copy of the error message of another crash when gedit died.
Comment 6 Bug Zapper 2008-05-14 11:11:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:56:47 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.